airspyhf-devel-1.1.5-1.1.x86_64.rpm


Advertisement

Description

airspyhf-devel - Development files for Airspy HF+

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename airspyhf-devel-1.1.5-1.1.x86_64.rpm
Package name airspyhf-devel
Package version 1.1.5
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Other
Homepage http://www.airspy.com/airspy-hf-plus
License BSD-3-Clause
Maintainer -
Download size 12.03 KB
Installed size 10.92 KB
Library headers for Airspy HF+ driver.

Alternatives

Package Version Architecture Repository
airspyhf-devel-1.1.5-1.1.i586.rpm 1.1.5 i586 openSUSE Oss
airspyhf-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libairspyhf0 = 1.1.5

Provides

Name Value
airspyhf-devel = 1.1.5-1.1
airspyhf-devel(x86-64) = 1.1.5-1.1
pkgconfig(libairspyhf) = 1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package airspyhf-devel-1.1.5-1.1.x86_64.rpm
Source Package airspyhf-1.1.5-1.1.src.rpm

Install Howto

Install airspyhf-devel rpm package:

# zypper install airspyhf-devel

Files

Path
/usr/include/libairspyhf/airspyhf.h
/usr/include/libairspyhf/airspyhf_commands.h
/usr/include/libairspyhf/iqbalancer.h
/usr/lib64/libairspyhf.so
/usr/lib64/pkgconfig/libairspyhf.pc

Changelog

2019-01-27 - Wojciech Kazubski <wk@ire.pw.edu.pl>
- fix build for Leap 42.3
2019-01-19 - mardnh@gmx.de
- Update to version 1.1.5
* Fixed the Linux build
* Updated the IQ correction algorithm;
* Updated the version number and copyright dates
* Better handling of weak signals in the IQ correction algorithm.
2018-02-25 - mardnh@gmx.de
- Update to version 1.1.0+git.20180217:
* Updated the version number to 1.1.0
* Added LNA, ATT, AGC and Threshold settings for the HF tuner.
* Improved the convergence of the IQ balancer - again.
* New heuristic for faster convergence in the IQ correction algorithm.
* Bugfix airspyhf_open_device() with given serial for device identification
* allow static compilation with definition of 'STATIC_AIRSPYHFPLUS'
* airspyhf_list_devices accepts NULL as serials pointer to only get the number of devices
* remove a compile warning under Linux
* Improved the image rejection algorithm for the Airspy HF+
2017-10-21 - mardnh@gmx.de
- Update to version 0.0.0+git.20170930:
* Fixed enum prefix
* Added API for user application output pins
* Added APIs for getting library and firmware version
* Added API for enumerating multiple devices
2017-07-24 - jengelh@inai.de
- Trim description
2017-07-18 - mardnh@gmx.de
- Fix license
- Update to version 0.0.0+git.20170718:
* Changed the fallback sample rate to 768 ksps
* Added a license file
2017-07-17 - mardnh@gmx.de
- Initial package, version 0.0.0+git.20170716

See Also

Package Description
airspyhf-udev-1.1.5-1.1.i586.rpm Udev rules for Airspy HF+ SDR
airspyhf-udev-1.1.5-1.1.x86_64.rpm Udev rules for Airspy HF+ SDR
aisleriot-3.22.8-1.1.i586.rpm Solitaire Card Games for GNOME
aisleriot-3.22.8-1.1.x86_64.rpm Solitaire Card Games for GNOME
aisleriot-lang-3.22.8-1.1.noarch.rpm Translations for package aisleriot
aisleriot-themes-3.22.8-1.1.noarch.rpm Extra themes for the Aisleriot solitaire card game program
akonadi-calendar-devel-19.04.0-1.1.i586.rpm KDE PIM Libraries: Build Environment
akonadi-calendar-devel-19.04.0-1.1.x86_64.rpm KDE PIM Libraries: Build Environment
akonadi-calendar-lang-19.04.0-1.1.noarch.rpm Translations for package akonadi-calendar
akonadi-calendar-tools-19.04.0-1.1.i586.rpm Console applications and utilities for managing calendars
akonadi-calendar-tools-19.04.0-1.1.x86_64.rpm Console applications and utilities for managing calendars
akonadi-calendar-tools-lang-19.04.0-1.1.noarch.rpm Translations for package akonadi-calendar-tools
akonadi-contact-19.04.0-1.1.i586.rpm KDE PIM Libraries for Akonadi Contacts
akonadi-contact-19.04.0-1.1.x86_64.rpm KDE PIM Libraries for Akonadi Contacts
akonadi-contact-devel-19.04.0-1.1.i586.rpm KDE PIM Libraries: Build Environment
Advertisement
Advertisement